# Compile table of crop IDs and crop water content for subsequent calculation of fresh matter
#!/bin/bash

# Using global variables: NIK_DIR_PATH, NIK_DIR_TAG
# Paste and run subsequent commented commands in shell

export NIK_DIR_PATH=./data/
export NIK_DIR_TAG=EPICxSPAMpa_Q95
echo NIK_DIR_PATH=${NIK_DIR_PATH}

# Start script

DATAPATH=${NIK_DIR_PATH}YIELDxAREA_${NIK_DIR_TAG}/

DIROUT=./output/
mkdir $DIROUT
FOUT=${DIROUT}01a-wc.csv

echo "Assembling from ${DATAPATH} folder..."

echo CropID,YieldToFreshMatter > $FOUT
            
for crop in `sed -e 's/,/ /g' ${DATAPATH}crop-selection.csv | sed 's/\r//g'`; do 
    cat ${DATAPATH}wc-${crop}.csv >> $FOUT
done


