## Read in GAMS outputs and store as table

rm(list=ls(all=TRUE))

setwd("H:/CAmod")

options(java.parameters = "-Xmx8000m")

### Load libraries
### Uncomment to install packages required for GDX conversion, then re-start

library(devtools)
#remotes::install_github("r-lib/remotes#172")
#source("https://raw.githubusercontent.com/r-lib/remotes/master/install-github.R")$value("r-lib/remotes#172")
#Sys.setenv("TAR" = "internal")
#devtools::install_github("arnyeinstein/gamsr")
require(magrittr)
require(purrr)
require(dplyr)
require(gamsr)
require(gdxrrw)
#require(gamsr)

igdx("C:/GAMS/win64/24.2/")

import_gdxfile("./output/03-optimized.gdx")
s_opt_df <- as.data.frame(s_opt)
rownames(s_opt_df) <- NULL

out_main_dir <- "evaluation"
if(!dir.exists(out_main_dir)) { dir.create(out_main_dir) }

write.table(s_opt_df, file=paste0(out_main_dir, "/03-optimized.csv"), col.names=FALSE, row.names=FALSE, sep=",", quote=FALSE)


